> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Discover

> Check the status of a running discover. If empty, no discover is currently running.



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/linkedSources/discover/poll
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/linkedSources/discover/poll:
    get:
      summary: Poll Discover
      description: >-
        Check the status of a running discover. If empty, no discover is
        currently running.
      operationId: linked-sources-catalog-poll-discover
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: tap_name
          in: query
          description: Name of tap to query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: RUNNING
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: RUNNING
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````